VTK: vtk::detail::ValueRange< ArrayTypeT, TupleSize > Struct Template Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Attributes | List of all members
vtk::detail::ValueRange< ArrayTypeT, TupleSize > Struct Template Reference

`#include <vtkDataArrayValueRange_Generic.h>`

## Public Types
using | ArrayType = ArrayTypeT
using | ValueType = GetAPIType< ArrayTypeT >
using | IteratorType = ValueIterator< ArrayType, TupleSize >
using | ConstIteratorType = ConstValueIterator< ArrayType, TupleSize >
using | ReferenceType = ValueReference< ArrayType, TupleSize >
using | ConstReferenceType = ConstValueReference< ArrayType, TupleSize >
using | value_type = ValueType
using | size_type = ValueIdType
using | iterator = IteratorType
using | const_iterator = ConstIteratorType
using | reference = ReferenceType
using | const_reference = ConstReferenceType

## Public Member Functions
VTK_ITER_INLINE | ValueRange () noexcept=default
VTK_ITER_INLINE | ValueRange (ArrayType *arr, ValueIdType beginValue, ValueIdType endValue) noexcept
VTK_ITER_INLINE ValueRange | GetSubRange (ValueIdType beginValue=0, ValueIdType endValue=-1) const noexcept
VTK_ITER_INLINE ArrayType * | GetArray () const noexcept
VTK_ITER_INLINE ComponentIdType | GetTupleSize () const noexcept
VTK_ITER_INLINE ValueIdType | GetBeginValueId () const noexcept
VTK_ITER_INLINE ValueIdType | GetEndValueId () const noexcept
VTK_ITER_INLINE size_type | size () const noexcept
VTK_ITER_INLINE iterator | begin () noexcept
VTK_ITER_INLINE iterator | end () noexcept
VTK_ITER_INLINE const_iterator | begin () const noexcept
VTK_ITER_INLINE const_iterator | end () const noexcept
VTK_ITER_INLINE const_iterator | cbegin () const noexcept
VTK_ITER_INLINE const_iterator | cend () const noexcept
VTK_ITER_INLINE reference | operator[] (size_type i) noexcept
VTK_ITER_INLINE const_reference | operator[] (size_type i) const noexcept

## Static Public Attributes
constexpr static ComponentIdType | TupleSizeTag = TupleSize

## Detailed Description

### template<typename ArrayTypeT, ComponentIdType TupleSize>
struct vtk::detail::ValueRange< ArrayTypeT, TupleSize >

Definition at line 826 of file vtkDataArrayValueRange_Generic.h.

## Member Typedef Documentation

## ◆ ArrayType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::ArrayType = ArrayTypeT

Definition at line 836 of file vtkDataArrayValueRange_Generic.h.

## ◆ ValueType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::ValueType = GetAPIType<ArrayTypeT>

Definition at line 837 of file vtkDataArrayValueRange_Generic.h.

## ◆ IteratorType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::IteratorType = ValueIterator<ArrayType, TupleSize>

Definition at line 839 of file vtkDataArrayValueRange_Generic.h.

## ◆ ConstIteratorType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::ConstIteratorType = ConstValueIterator<ArrayType, TupleSize>

Definition at line 840 of file vtkDataArrayValueRange_Generic.h.

## ◆ ReferenceType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::ReferenceType = ValueReference<ArrayType, TupleSize>

Definition at line 841 of file vtkDataArrayValueRange_Generic.h.

## ◆ ConstReferenceType

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::ConstReferenceType = ConstValueReference<ArrayType, TupleSize>

Definition at line 842 of file vtkDataArrayValueRange_Generic.h.

## ◆ value_type

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::value_type = ValueType

Definition at line 848 of file vtkDataArrayValueRange_Generic.h.

## ◆ size_type

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::size_type = ValueIdType

Definition at line 849 of file vtkDataArrayValueRange_Generic.h.

## ◆ iterator

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::iterator = IteratorType

Definition at line 850 of file vtkDataArrayValueRange_Generic.h.

## ◆ const_iterator

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::const_iterator = ConstIteratorType

Definition at line 851 of file vtkDataArrayValueRange_Generic.h.

## ◆ reference

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::reference = ReferenceType

Definition at line 852 of file vtkDataArrayValueRange_Generic.h.

## ◆ const_reference

template<typename ArrayTypeT , ComponentIdType TupleSize>

using vtk::detail::ValueRange< ArrayTypeT, TupleSize >::const_reference = ConstReferenceType

Definition at line 853 of file vtkDataArrayValueRange_Generic.h.

## Constructor & Destructor Documentation

## ◆ ValueRange() [1/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::ValueRange< ArrayTypeT, TupleSize >::ValueRange | ( |  | ) |
| defaultnoexcept

## ◆ ValueRange() [2/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE vtk::detail::ValueRange< ArrayTypeT, TupleSize >::ValueRange | ( | ArrayType * | arr,
|  | ValueIdType | beginValue,
|  | ValueIdType | endValue
| ) |  |
| inlinenoexcept

Definition at line 859 of file vtkDataArrayValueRange_Generic.h.

## Member Function Documentation

## ◆ GetSubRange()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE ValueRange vtk::detail::ValueRange< ArrayTypeT, TupleSize >::GetSubRange | ( | ValueIdType | beginValue = `0`,
|  | ValueIdType | endValue = `-1`
| ) |  | const
| inlinenoexcept

Definition at line 871 of file vtkDataArrayValueRange_Generic.h.

## ◆ GetArray()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE ArrayType* vtk::detail::ValueRange< ArrayTypeT, TupleSize >::GetArray | ( |  | ) | const
| inlinenoexcept

Definition at line 881 of file vtkDataArrayValueRange_Generic.h.

## ◆ GetTupleSize()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE ComponentIdType vtk::detail::ValueRange< ArrayTypeT, TupleSize >::GetTupleSize | ( |  | ) | const
| inlinenoexcept

Definition at line 883 of file vtkDataArrayValueRange_Generic.h.

## ◆ GetBeginValueId()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE ValueIdType vtk::detail::ValueRange< ArrayTypeT, TupleSize >::GetBeginValueId | ( |  | ) | const
| inlinenoexcept

Definition at line 886 of file vtkDataArrayValueRange_Generic.h.

## ◆ GetEndValueId()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE ValueIdType vtk::detail::ValueRange< ArrayTypeT, TupleSize >::GetEndValueId | ( |  | ) | const
| inlinenoexcept

Definition at line 889 of file vtkDataArrayValueRange_Generic.h.

## ◆ size()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE size_type vtk::detail::ValueRange< ArrayTypeT, TupleSize >::size | ( |  | ) | const
| inlinenoexcept

Definition at line 892 of file vtkDataArrayValueRange_Generic.h.

## ◆ begin() [1/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE iterator vtk::detail::ValueRange< ArrayTypeT, TupleSize >::begin | ( |  | ) |
| inlinenoexcept

Definition at line 898 of file vtkDataArrayValueRange_Generic.h.

## ◆ end() [1/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE iterator vtk::detail::ValueRange< ArrayTypeT, TupleSize >::end | ( |  | ) |
| inlinenoexcept

Definition at line 900 of file vtkDataArrayValueRange_Generic.h.

## ◆ begin() [2/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE const_iterator vtk::detail::ValueRange< ArrayTypeT, TupleSize >::begin | ( |  | ) | const
| inlinenoexcept

Definition at line 903 of file vtkDataArrayValueRange_Generic.h.

## ◆ end() [2/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE const_iterator vtk::detail::ValueRange< ArrayTypeT, TupleSize >::end | ( |  | ) | const
| inlinenoexcept

Definition at line 905 of file vtkDataArrayValueRange_Generic.h.

## ◆ cbegin()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE const_iterator vtk::detail::ValueRange< ArrayTypeT, TupleSize >::cbegin | ( |  | ) | const
| inlinenoexcept

Definition at line 908 of file vtkDataArrayValueRange_Generic.h.

## ◆ cend()

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE const_iterator vtk::detail::ValueRange< ArrayTypeT, TupleSize >::cend | ( |  | ) | const
| inlinenoexcept

Definition at line 910 of file vtkDataArrayValueRange_Generic.h.

## ◆ operator[]() [1/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE reference vtk::detail::ValueRange< ArrayTypeT, TupleSize >::operator[] | ( | size_type | i | ) |
| inlinenoexcept

Definition at line 913 of file vtkDataArrayValueRange_Generic.h.

## ◆ operator[]() [2/2]

template<typename ArrayTypeT , ComponentIdType TupleSize>

VTK_ITER_INLINE const_reference vtk::detail::ValueRange< ArrayTypeT, TupleSize >::operator[] | ( | size_type | i | ) | const
| inlinenoexcept

Definition at line 918 of file vtkDataArrayValueRange_Generic.h.

## Member Data Documentation

## ◆ TupleSizeTag

template<typename ArrayTypeT , ComponentIdType TupleSize>

constexpr static ComponentIdType vtk::detail::ValueRange< ArrayTypeT, TupleSize >::TupleSizeTag = TupleSize
| staticconstexpr

Definition at line 845 of file vtkDataArrayValueRange_Generic.h.

The documentation for this struct was generated from the following file:

- Common/Core/vtkDataArrayValueRange_Generic.h